package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.*;
import com.trs.ggzyexchange.mapper.GcBidExceptioNoticeMapper;
import com.trs.ggzyexchange.service.GcBidExceptioNoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 招标异常公告 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-02-16
 */
@Service
public class GcBidExceptioNoticeServiceImpl extends ServiceImpl<GcBidExceptioNoticeMapper, GcBidExceptioNotice> implements GcBidExceptioNoticeService {

    @Autowired
    private GcBidExceptioNoticeMapper gcBidExceptioNoticeMapper;

    public IPage<GcBidExceptioNoticeVo> queryGcBidExceptioNoticeList(Page<GcBidExceptioNotice> page,GcBidExceptioNotice gcBidExceptioNotice){

        IPage<GcBidExceptioNoticeVo> gcBidExceptioNoticeVoIPage = gcBidExceptioNoticeMapper.queryGcBidExceptioNoticeList(
                page,
                gcBidExceptioNotice.getRegionCode(),
                gcBidExceptioNotice.getIndustriesType(),
                gcBidExceptioNotice.getNoticeName(),
                gcBidExceptioNotice.getPlatformCode(),
                gcBidExceptioNotice.getNoticeSendTimeStart(),
                gcBidExceptioNotice.getNoticeSendTimeEnd()
        );
        return gcBidExceptioNoticeVoIPage;

    }

    @Override
    public IPage<TenderDetailsVo> queryGcBidExceptioNoticeAllList(Page<GcBidExceptioNotice> page) {
        return gcBidExceptioNoticeMapper.queryGcBidExceptioNoticeAllList(page);
    }


}
