package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcBidcandidatePost;
import com.trs.ggzyexchange.entity.ZrzyTdCedeNotice;
import com.trs.ggzyexchange.entity.ZrzyTdCedeNoticeVo;
import com.trs.ggzyexchange.mapper.ZrzyTdCedeNoticeMapper;
import com.trs.ggzyexchange.service.ZrzyTdCedeNoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 出让公告信息 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-02-23
 */
@Service
public class ZrzyTdCedeNoticeServiceImpl extends ServiceImpl<ZrzyTdCedeNoticeMapper, ZrzyTdCedeNotice> implements ZrzyTdCedeNoticeService {


    @Autowired
    private ZrzyTdCedeNoticeMapper zrzyTdCedeNoticeMapper;

    @Override
    public IPage<ZrzyTdCedeNoticeVo> queryZrzyTdCedeNoticeList(Page<ZrzyTdCedeNotice> page, ZrzyTdCedeNotice zrzyTdCedeNotice) {
        return zrzyTdCedeNoticeMapper.queryZrzyTdCedeNoticeList(
                    page,
                    zrzyTdCedeNotice.getAnnouncementCode(),
                    zrzyTdCedeNotice.getAnnouncementTitle(),
                    zrzyTdCedeNotice.getLandDistrict(),
                    zrzyTdCedeNotice.getPublishingTimeStart(),
                    zrzyTdCedeNotice.getPublishingTimeEnd()
        );
    }
}
