package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.CqSwBargainResult;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.CqSwBargainResultMapper;
import com.trs.ggzyexchange.service.CqSwBargainResultService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 交易结果信息 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
@Service
public class CqSwBargainResultServiceImpl extends ServiceImpl<CqSwBargainResultMapper, CqSwBargainResult> implements CqSwBargainResultService {

    @Autowired
    private CqSwBargainResultMapper cqSwBargainResultMapper;

    @Override
    public IPage<TenderDetailsVo> queryCqSwBargainResultAllList(Page<CqSwBargainResult> page) {
        return cqSwBargainResultMapper.queryCqSwBargainResultAllList(page);
    }
}
