package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcBidopenrecord;
import com.trs.ggzyexchange.entity.GcBidpublicity;
import com.trs.ggzyexchange.entity.GcBidpublicityVo;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.GcBidopenrecordMapper;
import com.trs.ggzyexchange.mapper.GcBidpublicityMapper;
import com.trs.ggzyexchange.service.GcBidpublicityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 中标结果公示 服务实现类
 * </p>
 * @author trs
 * @since 2023-02-16
 */
@Service
public class GcBidpublicityServiceImpl extends ServiceImpl<GcBidpublicityMapper, GcBidpublicity> implements GcBidpublicityService {

    @Autowired
    private GcBidpublicityMapper gcBidpublicityMapper;

    @Override
    public IPage<GcBidpublicityVo> queryGcBidpublicityList(Page<GcBidpublicity> page, GcBidpublicity gcBidpublicity) {
        return gcBidpublicityMapper.queryGcBidpublicityList(
                page,
                gcBidpublicity.getRegionCode(),
                gcBidpublicity.getIndustriesType(),
                gcBidpublicity.getNoticeName(),
                gcBidpublicity.getPlatformCode(),
                gcBidpublicity.getNoticeSendTimeStart(),
                gcBidpublicity.getNoticeSendTimeEnd()
        );
    }
    @Override
    public IPage<TenderDetailsVo> queryGcBidpublicityAllList(Page<GcBidpublicity> page) {
        return gcBidpublicityMapper.queryGcBidpublicityAllList(page);
    }
}
