package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcPerformance;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.GcPerformanceMapper;
import com.trs.ggzyexchange.service.GcPerformanceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 合同履约 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
@Service
public class GcPerformanceServiceImpl extends ServiceImpl<GcPerformanceMapper, GcPerformance> implements GcPerformanceService {

    @Autowired
    private GcPerformanceMapper gcPerformanceMapper;

    @Override
    public IPage<TenderDetailsVo> queryGcBidcandidateAllList(Page<GcPerformance> page) {
        return gcPerformanceMapper.queryGcBidcandidateAllList(page);
    }
}
